For the complete documentation index, see llms.txt. This page is also available as Markdown.

Limits

Get the global limits.

get
/limits
Responses
200

Limits retrieved successfully

application/json

Represents the current sBTC limits.

availableToWithdrawinteger · int64 · nullableOptional

Total amount sBTC still available for withdrawals in current window. All withdrawals except rejected counted here

pegCapinteger · int64 · nullableOptional

Represents the total cap for all pegged-in BTC/sBTC.

perDepositCapinteger · int64 · nullableOptional

Per deposit cap. If none then there is no cap.

perDepositMinimuminteger · int64 · nullableOptional

Per deposit minimum. If none then there is no minimum.

perWithdrawalCapinteger · int64 · nullableOptional

Per withdrawal cap. If none then there is no cap.

rollingWithdrawalBlocksinteger · int64 · nullableOptional

Number of blocks that define the rolling withdrawal window.

rollingWithdrawalCapinteger · int64 · nullableOptional

Maximum total sBTC that can be withdrawn within the rolling withdrawal window.

throttleModeInitiatorstring · nullableOptional

Name of key which triggered throttle mode (if throttle mode is active)

get/limits

Get limits for account handler.

get
/limits/{account}
Path parameters
accountstringRequired

The account for which to get the limits.

Responses
201

Account limits retrieved successfully

application/json

The representation of a limit for a specific account.

pegCapinteger · int64 · nullableOptional

Represents the current sBTC limits.

perDepositCapinteger · int64 · nullableOptional

Per deposit cap. If none then the cap is the same as the global per deposit cap.

perDepositMinimuminteger · int64 · nullableOptional

Per deposit minimum. If none then there is no minimum.

perWithdrawalCapinteger · int64 · nullableOptional

Per withdrawal cap. If none then the cap is the same as the global per withdrawal cap.

rollingWithdrawalBlocksinteger · int64 · nullableOptional

Number of blocks that define the rolling withdrawal window.

rollingWithdrawalCapinteger · int64 · nullableOptional

Maximum total sBTC that can be withdrawn within the rolling withdrawal window.

throttleModeInitiatorstring · nullableOptional

Throttle key initiated throttle

get/limits/{account}

Last updated

Was this helpful?